Skip to main content
POST
Create text completion
これはレガシーエンドポイントです。ほとんどのユースケースでは、代わりにチャット補完を使用してください。

リクエストボディ

string
必須
使用するモデルID。
string | string[]
必須
補完を生成するためのプロンプト。
integer
デフォルト:16
生成するトークンの最大数。
number
デフォルト:1
0から2の間のサンプリング温度。
number
デフォルト:1
Nucleusサンプリングパラメータ。
string | string[]
ストップシーケンス。
string
補完の後に追加するテキスト。

レスポンス

使用例

承認

Authorization
string
header
必須

API key authentication. Pass your OpenModex API key as a Bearer token in the Authorization header: Authorization: Bearer omx_sk_...

ボディ

application/json

Request body for creating a text completion (legacy).

model
string
必須

ID of the model to use.

prompt
必須

The prompt(s) to generate completions for.

max_tokens
integer

The maximum number of tokens to generate.

temperature
number

Sampling temperature between 0 and 2.

top_p
number

Nucleus sampling parameter.

n
integer

How many completions to generate for each prompt.

stream
boolean
デフォルト:false

Whether to stream back partial progress via SSE.

stop

Up to 4 sequences where the API will stop generating further tokens.

frequency_penalty
number

Penalizes new tokens based on their existing frequency in the text.

presence_penalty
number

Penalizes new tokens based on whether they appear in the text so far.

logit_bias
object

Modify the likelihood of specified tokens appearing in the completion.

suffix
string

The suffix that comes after a completion of inserted text.

user
string

A unique identifier representing your end-user.

routing
object

Configuration for intelligent request routing.

レスポンス

Text completion response.

Response from a text completion request.

id
string

A unique identifier for the completion.

object
enum<string>

The object type, always 'text_completion'.

利用可能なオプション:
text_completion
created
integer

Unix timestamp (in seconds) of when the completion was created.

model
string

The model used for the completion.

choices
object[]

A list of completion choices.

usage
object

Token usage statistics for a completion request.

openmodex
object

OpenModex-specific metadata included in completion responses.